#ifndef INCLUDE_PRIORITIES__XIN__XATOM_ATOMEXTERNALPORT____PRIORITIES__XIN__XATOM____PORT_HPP_
#define INCLUDE_PRIORITIES__XIN__XATOM_ATOMEXTERNALPORT____PRIORITIES__XIN__XATOM____PORT_HPP_

#include <AtomExternalPort.hpp>

#include <priorities_xin_xatom/PT__priorities_xin_xatom__Port.hpp>

class AtomExternalPort__priorities_xin_xatom__Port : public AtomExternalPort {
public:
    AtomExternalPort__priorities_xin_xatom__Port(const string &name, const EventConsumptionPolicy &policy);
    virtual ~AtomExternalPort__priorities_xin_xatom__Port();

    virtual void initialize() { }
    virtual bool hasEvent() const { return false; }
    virtual void popEvent() { }
    virtual void purgeEvents() { }


protected:

private:
};

#endif // INCLUDE_PRIORITIES__XIN__XATOM_ATOMEXTERNALPORT____PRIORITIES__XIN__XATOM____PORT_HPP_
